#include <hmg.ch>

PROCEDURE c_button

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_button ;
      AT 10, 10 ;
      WIDTH  610 ; 
      HEIGHT 600 ; 
      TITLE "BUTTON definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_button.Release

/*
      @ <nRow> ,<nCol>
            BUTTON <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            CAPTION <cCaption> 
            PICTURE <cPictureName> [ TOP | BOTTOM | LEFT | RIGHT ]
            ACTION | ONCLICK | ON CLICK <ActionProcedureName> | <bBlock>
            [ WIDTH <nWidth> HEIGHT <nHeight> ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ FLAT ]
            [ NOTRANSPARENT ]
            [ ON GOTFOCUS <OnGotFocusProcedur> | <bBlock> ]
            [ ON LOSTFOCUS <OnLostFocusProcedure> | <bBlock> ]
            [ NOTABSTOP ]
            [ HELPID <nHelpId> ]
            [ INVISIBLE ]
            [ MULTILINE ]
*/	  
	  
	  @ 50, 50 LABEL button_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX button_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL button_3 VALUE ','
	  @ 50, 120 TEXTBOX button_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL button_5 VALUE 'BUTTON' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX button_6 WIDTH 150 VALUE 'button_1'
	
	  @ 80, 100 LABEL button_7 VALUE 'CAPTION' WIDTH 70 BOLD
          @ 80, 180 TEXTBOX button_8 WIDTH 150 VALUE 'caption_1'

	  @ 110, 100 LABEL button_9 VALUE 'PICTURE' WIDTH 70
          @ 110, 180 TEXTBOX button_10 WIDTH 150 VALUE 'button.bmp'
			
          @ 110, 332 RADIOGROUP button_11 ;
			OPTIONS { 'TOP','BOTTOM','LEFT','RIGHT' } ;
			VALUE 4;
			WIDTH 67 ;
			HORIZONTAL ;
			SPACING 67

          @ 140, 100 LABEL button_12 VALUE 'ACTION' WIDTH 70 BOLD
          @ 140, 180 TEXTBOX button_13 WIDTH 200 VALUE 'nil'
	
	  @ 170, 100 LABEL button_14 VALUE 'WIDTH' WIDTH 70
          @ 170, 180 TEXTBOX button_15 WIDTH 40 VALUE 80 NUMERIC INPUTMASK '999'
	  @ 170, 230 LABEL button_16 VALUE 'HEIGHT' WIDTH 70
          @ 170, 300 TEXTBOX button_17 WIDTH 40 VALUE 25 NUMERIC INPUTMASK '999'
  
	  @ 200, 100 LABEL button_18 VALUE 'FONT' WIDTH 70
	  @ 200, 180 TEXTBOX button_19 WIDTH 100 VALUE 'Arial'
	  @ 200, 290 LABEL button_20 VALUE 'SIZE' WIDTH 70
	  @ 200, 340 TEXTBOX button_21 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'
			
          @ 230, 100 RADIOGROUP button_22 ;
			OPTIONS { 'BOLD', 'ITALIC' , 'UNDERLINE' , 'STRIKEOUT', 'NONE' } ;
			VALUE 5 ;
			WIDTH 100 ;
			HORIZONTAL ;
			SPACING 100

          @ 260, 100 LABEL button_23 VALUE 'TOOLTIP' WIDTH 70
	  @ 260, 180 TEXTBOX button_24 WIDTH 150 VALUE ''
	
	  @ 290, 100 CHECKBOX button_25 CAPTION 'FLAT'
          @ 320, 100 CHECKBOX button_26 CAPTION 'NOTRANSPARENT' WIDTH 150
	  
	  @ 350, 70 LABEL button_27 VALUE 'ON GOTFOCUS' WIDTH 100
	  @ 350, 180 TEXTBOX button_28 WIDTH 150

	  @ 380, 70 LABEL button_29 VALUE 'ON LOSTFOCUS' WIDTH 100
	  @ 380, 180 TEXTBOX button_30 WIDTH 150 

          @ 410, 100 CHECKBOX button_31 CAPTION 'NOTABSTOP'
          @ 440, 100 CHECKBOX button_32 CAPTION 'INVISIBLE'
          @ 470, 100 CHECKBOX button_33 CAPTION 'MULTILINE'	  
	


	  @ 500, 175 BUTTON button_button ;
          CAPTION "OK" ;
          ACTION create_button() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_buttoexit ;
          CAPTION "CANCEL" ;
          ACTION win_button.Release  ;
          WIDTH 100 ;
          HEIGHT 30 

   END WINDOW

   CENTER WINDOW win_button
   ACTIVATE WINDOW win_button

RETURN
*:---------------------------------------------*
PROCEDURE create_button

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_button.button_2.Value)) + ', ' + alltrim(str(win_button.button_2.Value)) 
 _result += ' BUTTON ' + alltrim(win_button.button_6.Value) + ' ;' + _crlf
 _result += '      CAPTION ' + _charsep + alltrim(win_button.button_8.Value) + _charsep + ' ;' + _crlf
 
 if !empty(win_button.button_10.Value)
     _result += '      PICTURE ' + _charsep + alltrim(win_button.button_10.Value) + _charsep 
 
     if win_button.button_11.Value = 1
        _result += ' TOP '
     endif
     if win_button.button_11.Value = 2
        _result += ' BOTTOM '
     endif
     if win_button.button_11.Value = 3
        _result += ' LEFT '
     endif
     if win_button.button_11.Value = 4
        _result += ' RIGHT '
     endif
   
    _result += '; ' + _crlf
 
 endif
 
 if !empty(win_button.button_12.Value) 
    _result += '      ACTION ' + alltrim(win_button.button_13.Value) + ' ;' + _crlf
 endif
 
  _result += '      WIDTH ' + alltrim(str(win_button.button_15.Value)) + ' HEIGHT ' + alltrim(str(win_button.button_17.Value)) + ' ; ' + _crlf
 
 if !empty(win_button.button_19.Value)
    _result += '      FONT ' + _charsep + alltrim(win_button.button_19.Value) + _charsep 
 else 
	_result += '     '
 endif
 if win_button.button_21.Value > 0
    _result += ' SIZE ' + alltrim(str(win_button.button_21.Value)) 
 endif
 if !empty(win_button.button_19.Value) .or. win_button.button_21.Value > 0
    _result += ' ; ' + _crlf
 endif
 
 if win_button.button_22.Value = 1
    _result += '      BOLD ; ' + _crlf
 endif
 if win_button.button_22.Value = 2
    _result += '      ITALIC ; ' + _crlf
 endif
 if win_button.button_22.Value = 3
    _result += '      UNDERLINE ; ' + _crlf
 endif
 if win_button.button_22.Value = 4
    _result += '      STRIKEOUT ; ' + _crlf
 endif
  
 if !empty(win_button.button_24.Value) 
    _result += '      TOOLTIP ' + _charsep + alltrim(win_button.button_24.Value) + _charsep + ' ; ' + _crlf
 endif

 if !empty(win_button.button_25.Value) 
    _result += '      FLAT ; ' + _crlf
 endif
 if !empty(win_button.button_26.Value) 
    _result += '      NOTRANSPARENT ; ' + _crlf
 endif

 if !empty(win_button.button_28.Value) 
    _result += '      ON GOTFOCUS ' + alltrim(win_button.button_28.Value) + ' ;' + _crlf
 endif
 
 if !empty(win_button.button_30.Value) 
    _result += '      ON LOSTFOCUS ' + alltrim(win_button.button_30.Value) + ' ;' + _crlf
 endif
 
 if !empty(win_button.button_31.Value) 
    _result += '      NOTABSTOP ; ' + _crlf
 endif
 if !empty(win_button.button_32.Value) 
    _result += '      INVISIBLE ; ' + _crlf
 endif
 
 if !empty(win_button.button_33.Value) 
    _result += '      MULTILINE ; ' + _crlf
 endif
 	  
 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
