#include <hmg.ch>

PROCEDURE c_checkbox

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_checkbox ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "CHECKBOX definition" ;
      MODAL  

      ON KEY ESCAPE ACTION win_checkbox.Release
 
 /*
       @ <nRow> ,<nCol>
            CHECKBOX <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            CAPTION <cCaption>
            [ WIDTH <nWidth>] [ HEIGHT <nHeight> ]
            [ VALUE <lValue> ]
            [ FIELD <FieldName> ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ BACKCOLOR <aBackColor> ]
            [ FONTCOLOR <aFontColor> ]
            [ ON GOTFOCUS <OnGotFocusProcedur> | <bBlock> ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ ON LOSTFOCUS <OnLostFocusProcedure> | <bBlock> ]
            [ ON ENTER <OnEnterProcedure> | <bBlock> ]
            [ TRANSPARENT ]
            [ HELPID <nHelpId> ]
            [ INVISIBLE ]
            [ NOTABSTOP ]
 */
 
	  @ 50, 50 LABEL checkbox_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX checkbox_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL checkbox_3 VALUE ','
	  @ 50, 120 TEXTBOX checkbox_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL checkbox_5 VALUE 'CHECKBOX' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX checkbox_6 WIDTH 150 VALUE 'checkbox_'
	  
	  @ 80, 100 LABEL checkbox_7 VALUE 'WIDTH' WIDTH 70
      @ 80, 180 TEXTBOX checkbox_8 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '999'
	  @ 80, 230 LABEL checkbox_9 VALUE 'HEIGHT' WIDTH 70
      @ 80, 310 TEXTBOX checkbox_10 WIDTH 40 VALUE 30 NUMERIC INPUTMASK '999'

	  @ 110, 100 LABEL checkbox_11 VALUE 'TIMES' WIDTH 70
      @ 110, 180 TEXTBOX checkbox_12 WIDTH 50 VALUE 5 NUMERIC INPUTMASK '999'
	  
	  @ 140, 100 RADIOGROUP checkbox_13 ;
			OPTIONS { 'HORIZONTAL', 'VERTICAL' } ;
			VALUE 2 ;
			WIDTH 100 ;
			HORIZONTAL ;
			SPACING 100
	  
	  @ 170, 70 LABEL checkbox_14 VALUE 'ON GOTFOCUS' WIDTH 100
	  @ 170, 180 TEXTBOX checkbox_15 WIDTH 150
	  
	  @ 200, 70 LABEL checkbox_16 VALUE 'ON CHANGE' WIDTH 100
	  @ 200, 180 TEXTBOX checkbox_17 WIDTH 150

	  @ 230, 70 LABEL checkbox_18 VALUE 'ON LOSTFOCUS' WIDTH 100
	  @ 230, 180 TEXTBOX checkbox_19 WIDTH 150 

	  @ 260, 70 LABEL checkbox_20 VALUE 'ON ENTER' WIDTH 100
	  @ 260, 180 TEXTBOX checkbox_21 WIDTH 150
	
          @ 500, 175 BUTTON checkbox_button ;
          CAPTION "OK" ;
          ACTION create_checkbox() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_checkexit ;
          CAPTION "CANCEL" ;
          ACTION win_checkbox.Release  ;
          WIDTH 100 ;
          HEIGHT 30 
		
	 
	

   END WINDOW

   CENTER WINDOW win_checkbox
   ACTIVATE WINDOW win_checkbox

RETURN
*:---------------------------------------------*
PROCEDURE create_checkbox

LOCAL _result := '', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10), _i
LOCAL _count := Win_checkbox.checkbox_12.Value
LOCAL _row := win_checkbox.checkbox_2.Value, _col := win_checkbox.checkbox_4.Value
 
  
 for _i = 1 to _count
  
 _result += '   @ ' + alltrim(str(_row)) + ', ' + alltrim(str(_col)) + ' CHECKBOX '
 _result += alltrim(win_checkbox.checkbox_6.Value) + alltrim(str(_i)) + ' CAPTION ' + _charsep + alltrim(win_checkbox.checkbox_6.Value) + alltrim(str(_i)) + _charsep + ' '
 
 if win_checkbox.checkbox_8.Value != 0
    _result += 'WIDTH ' + alltrim(str(win_checkbox.checkbox_8.Value)) + ' '
 endif
 
 if win_checkbox.checkbox_10.Value != 0
    _result += 'HEIGHT ' + alltrim(str(win_checkbox.checkbox_10.Value)) + ' '
 endif

*------------------------------------------------
    _result +='BACKCOLOR NIL ' 
    _result +='FONTCOLOR NIL ' 
*------------------------------------------------

*** trigers
if !empty(win_checkbox.checkbox_15.Value) 
   _result += 'ON GOTFOCUS ' + alltrim(Win_checkbox.checkbox_15.Value) + ' '
endif
if !empty(win_checkbox.checkbox_17.Value) 
   _result += 'ON CHANGE ' + alltrim(Win_checkbox.checkbox_17.Value) + ' '
endif
if !empty(win_checkbox.checkbox_19.Value) 
   _result += 'ON LOSTFOCUS ' + alltrim(Win_checkbox.checkbox_19.Value) + ' '
endif
if !empty(win_checkbox.checkbox_21.Value) 
   _result += 'ON ENTER ' + alltrim(Win_checkbox.checkbox_21.Value) + ' '
endif
 
if win_checkbox.checkbox_13.Value = 1
   _col += win_checkbox.checkbox_8.Value
else
   _row += win_checkbox.checkbox_10.Value
endif

_result += _crlf

next


 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
