#include <hmg.ch>

PROCEDURE c_editbox

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_editbox ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "EDITBOX definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_editbox.Release

/*
      @ <nRow> ,<nCol>
            EDITBOX<ControlName>
            [ OF | PARENT <ParentWindowName> ]
            WIDTH <nWidth>
            HEIGHT <nHeight>
            [ FIELD <FieldName> ]
            [ VALUE <cValue> ]
            [ READONLY ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ BACKCOLOR <aColor> ]
            [ FONTCOLOR <aColor> ]
            [ DISABLEDBACKCOLOR <aColor> ]
            [ DISABLEDFONTCOLOR <aColor> ]
            [ MAXLENGTH <nInputLength> ]
            [ ON GOTFOCUS <OnGotFocusProcedur> | <bBlock> ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ ON LOSTFOCUS <OnLostFocusProcedure> | <bBlock> ]
            [ HELPID <nHelpId> ]
            [ BREAK ]
            [ INVISIBLE ]
            [ NOTABSTOP ]     
            [ NOVSCROLL ]
            [ NOHSCROLL ]   
*/	  
	  
	  @ 50, 50 LABEL editbox_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX editbox_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL editbox_3 VALUE ','
	  @ 50, 120 TEXTBOX editbox_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL editbox_5 VALUE 'EDITBOX' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX editbox_6 WIDTH 150 VALUE 'editbox_1'
	  
	  @ 80, 100 LABEL editbox_7 VALUE 'WIDTH' WIDTH 70 BOLD
          @ 80, 180 TEXTBOX editbox_8 WIDTH 50 VALUE 200 NUMERIC INPUTMASK '999'
	  @ 80, 250 LABEL editbox_9 VALUE 'HEIGHT' WIDTH 70 BOLD
          @ 80, 320 TEXTBOX editbox_10 WIDTH 50 VALUE 100 NUMERIC INPUTMASK '999'

	  @ 110, 100 LABEL editbox_11 VALUE 'VALUE' WIDTH 70
          @ 110, 180 TEXTBOX editbox_12 WIDTH 200

	  @ 140, 100 CHECKBOX editbox_12a CAPTION 'READONLY' 
  
	  @ 170, 100 LABEL editbox_13 VALUE 'FONT' WIDTH 70
	  @ 170, 180 TEXTBOX editbox_14 WIDTH 100 VALUE 'Arial'
	  @ 170, 290 LABEL editbox_15 VALUE 'SIZE' WIDTH 70
	  @ 170, 370 TEXTBOX editbox_16 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'
			
         @ 200, 100 RADIOGROUP editbox_17 ;
			OPTIONS { 'BOLD', 'ITALIC' , 'UNDERLINE' , 'STRIKEOUT', 'NONE' } ;
			VALUE 5 ;
			WIDTH 100 ;
			HORIZONTAL ;
			SPACING 100
			
	  @ 230, 100 LABEL editbox_18 VALUE 'TOOLTIP' WIDTH 70
	  @ 230, 180 TEXTBOX editbox_19 WIDTH 150 VALUE ''
	  
	  @ 260, 100 LABEL editbox_20 VALUE 'MAXLENGTH' WIDTH 80
	  @ 260, 180 TEXTBOX editbox_21 WIDTH 50 VALUE 0 NUMERIC INPUTMASK '9999'
	  
	  @ 290, 70 LABEL editbox_26 VALUE 'ON GOTFOCUS' WIDTH 100
	  @ 290, 180 TEXTBOX editbox_27 WIDTH 150

	  @ 320, 70 LABEL editbox_28 VALUE 'ON CHANGE' WIDTH 100
	  @ 320, 180 TEXTBOX editbox_29 WIDTH 150 

	  @ 350, 70 LABEL editbox_30 VALUE 'ON LOSTFOCUS' WIDTH 100
	  @ 350, 180 TEXTBOX editbox_31 WIDTH 150
	  	  
	  @ 380, 100 CHECKBOX editbox_32 CAPTION 'BREAK' 
	  @ 380, 200 CHECKBOX editbox_33 CAPTION 'INVISIBLE'
	  
	  @ 410, 100 CHECKBOX editbox_34 CAPTION 'NOTABSTOP' 
	  
	  @ 440, 100 CHECKBOX editbox_35 CAPTION 'NOVSCROLL' 
	  @ 440, 200 CHECKBOX editbox_36 CAPTION 'NOHSCROLL' 
		  
          @ 500, 175 BUTTON  editbox_button ;
          CAPTION "OK" ;
          ACTION create_editbox() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_editexit ;
          CAPTION "CANCEL" ;
          ACTION win_editbox.Release  ;
          WIDTH 100 ;
          HEIGHT 30 	
	

   END WINDOW

   CENTER WINDOW win_editbox
   ACTIVATE WINDOW win_editbox

RETURN
*:---------------------------------------------*
PROCEDURE create_editbox

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_editbox.editbox_2.Value)) + ',' + alltrim(str(win_editbox.editbox_2.Value)) + ' EDITBOX '
 _result += alltrim(win_editbox.editbox_6.Value) + ' ; ' + _crlf
 
 if win_editbox.editbox_8.Value != 0
    _result += '      WIDTH ' + alltrim(str(win_editbox.editbox_8.Value)) + ' ; ' + _crlf
 endif
 
 if win_editbox.editbox_10.Value != 0
    _result += '      HEIGHT ' + alltrim(str(win_editbox.editbox_10.Value)) + ' ; ' + _crlf
 endif
  
 if !empty(win_editbox.editbox_12.Value)
    _result += '      VALUE ' + _charsep + alltrim(win_editbox.editbox_12.Value) + _charsep + ' ; ' + _crlf
 endif
  
 if win_editbox.editbox_12a.Value
    _result += '      READONLY ; ' + _crlf
 endif
  
 if !empty(win_editbox.editbox_14.Value)
    _result += '      FONT ' + _charsep + alltrim(win_editbox.editbox_14.Value) + _charsep
	_result += ' SIZE ' + alltrim(str(win_editbox.editbox_16.Value)) + ' ; ' + _crlf
 endif

*------------------------------------------------
    _result +='      BACKCOLOR NIL ;'  + _crlf
    _result +='      FONTCOLOR NIL ;'  + _crlf
*------------------------------------------------
  
 do case
    case win_editbox.editbox_17.Value = 1
        _result += '      BOLD ; ' + _crlf
	case win_editbox.editbox_17.Value = 2
        _result += '      ITALIC ; ' + _crlf
    case win_editbox.editbox_17.Value = 3
        _result += '      UNDERLINE ; ' + _crlf
    case win_editbox.editbox_17.Value = 4
        _result += '      STRIKEOUT ; ' + _crlf
end case		
		
 if !empty(win_editbox.editbox_19.Value)
    _result += '      TOOLTIP ' + _charsep + alltrim(win_editbox.editbox_19.Value) + _charsep + ' ; ' + _crlf
 endif
 	
	altd()
	
	
if win_editbox.editbox_21.Value > 0
    _result += '      MAXLENGTH ' + alltrim(str(win_editbox.editbox_21.Value)) + ' ; ' + _crlf
 endif

 if !empty(win_editbox.editbox_27.Value)
    _result += '      ON GOTFOCUS ' + alltrim(win_editbox.editbox_27.Value) + ' ; ' + _crlf
 endif
 if !empty(win_editbox.editbox_29.Value)
    _result += '      ON CHANGE ' + alltrim(win_editbox.editbox_29.Value) + ' ; ' + _crlf
 endif
 if !empty(win_editbox.editbox_31.Value)
    _result += '      ON LOSTFOCUS ' + alltrim(win_editbox.editbox_31.Value) + ' ; ' + _crlf
 endif
	
 if win_editbox.editbox_32.Value
    _result += '      BREAK ; ' + _crlf
 endif
 if win_editbox.editbox_33.Value
    _result += '      INVISIBLE ; ' + _crlf
 endif
 if win_editbox.editbox_34.Value
    _result += '      NOTABSTOP ; ' + _crlf
 endif
 if win_editbox.editbox_35.Value
    _result += '      NOVSCROLL ; ' + _crlf
 endif
 if win_editbox.editbox_36.Value
    _result += '      NOHSCROLL ; ' + _crlf
 endif		
		
	  
  
  
 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
