#include <hmg.ch>

PROCEDURE c_label

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_label ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "LABEL definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_label.Release

/*
      @ <nRow> ,<nCol>
            LABEL <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            VALUE <cValue>
            [ ACTION | ONCLICK | ON CLICK  <ActionProcedureName> | <bBlock> ]
            [ WIDTH <nWidth> ]
            [ HEIGHT <nHeight> ]
            [ AUTOSIZE ]
            [ FONT <cFontname> SIZE <nFontsize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ BACKCOLOR <anBackColor> ]
            [ FONTCOLOR <anFontColor>]  
            [ TRANSPARENT ]
            [ RIGHTALIGN | CENTERALIGN ]
            [ HELPID <nHelpId> ]
            [ INVISIBLE ]
            [ ENDELLIPSES ]
            [ NOPREFIX ]
*/	 
	  
	  @ 50, 50 LABEL label_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX label_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL label_3 VALUE ','
	  @ 50, 120 TEXTBOX label_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL label_5 VALUE 'LABEL' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX label_6 WIDTH 150 VALUE 'label_1'
    
	  @ 80, 100 LABEL label_7 VALUE 'VALUE' WIDTH 70 BOLD
          @ 80, 180 TEXTBOX label_8 WIDTH 200 VALUE 'label1'
  
	  @ 110, 100 LABEL label_9 VALUE 'ACTION' WIDTH 70
          @ 110, 180 TEXTBOX label_10 WIDTH 200
	  
	  @ 140, 100 LABEL label_11 VALUE 'WIDTH' WIDTH 70
          @ 140, 180 TEXTBOX label_12 WIDTH 40 VALUE 80 NUMERIC INPUTMASK '999'
	  @ 140, 230 LABEL label_13 VALUE 'HEIGTH' WIDTH 70
          @ 140, 310 TEXTBOX label_14 WIDTH 40 VALUE 25 NUMERIC INPUTMASK '999'

	  @ 170, 100 CHECKBOX label_15 CAPTION 'AUTOSIZE'

	  @ 200, 100 LABEL label_16 VALUE 'FONT' WIDTH 70
          @ 200, 180 TEXTBOX label_17 WIDTH 100 VALUE 'Arial'
	  @ 200, 290 LABEL label_18 VALUE 'SIZE' WIDTH 70
          @ 200, 370 TEXTBOX label_19 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'
				
          @ 230, 100 RADIOGROUP label_20 ;
			OPTIONS { 'BOLD', 'ITALIC', 'UNDERLINE', 'STRIKEOUT', 'NONE' } ;
			VALUE 5 ;
			WIDTH 100 ;
			HORIZONTAL ;
			SPACING 100
	
	  @ 260, 100 LABEL label_21 VALUE 'TOOLTIP' WIDTH 70
          @ 260, 180 TEXTBOX label_22 WIDTH 200

	  @ 290, 100 CHECKBOX label_23 CAPTION 'TRANSPARENT'	
				
          @ 320, 100 RADIOGROUP label_24 ;
			OPTIONS { 'RIGHTALIGN', 'CENTERALIGN', 'NONE' } ;
			VALUE 3 ;
			WIDTH 120 ;
			HORIZONTAL ;
			SPACING 120

          @ 350, 100 CHECKBOX label_25 CAPTION 'INVISIBLE' 
	  @ 380, 100 CHECKBOX label_26 CAPTION 'ENDELLIPSES'
	  @ 410, 100 CHECKBOX label_27 CAPTION 'NOPREFIX'
	  
          @ 500, 175 BUTTON label_button ;
          CAPTION "OK" ;
          ACTION create_label() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_labelexit ;
          CAPTION "CANCEL" ;
          ACTION win_label.Release  ;
          WIDTH 100 ;
          HEIGHT 30 	
	
	

   END WINDOW

   CENTER WINDOW win_label
   ACTIVATE WINDOW win_label

RETURN
*:---------------------------------------------*
PROCEDURE create_label

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_label.label_2.Value)) + ', ' + alltrim(str(win_label.label_2.Value)) + ' LABEL '
 _result += alltrim(win_label.label_6.Value) + ' ; ' + _crlf
  
 if !empty(win_label.label_8.Value)
    _result += '      VALUE ' + _charsep + alltrim(win_label.label_8.Value) + _charsep + ' ; ' + _crlf
 endif
   
 if !empty(win_label.label_10.Value)
    _result += '      ACTION ' + alltrim(win_label.label_10.Value) + ' ; ' + _crlf
 endif

 if win_label.label_12.Value > 0
    _result += '      WIDTH ' + alltrim(str(win_label.label_12.Value)) + ' ; ' + _crlf
 endif
 if win_label.label_14.Value > 0
    _result += '      HEIGHT ' + alltrim(str(win_label.label_14.Value)) + ' ; ' + _crlf
 endif

 if win_label.label_15.Value
   _result += '      AUTOSIZE ; ' + _crlf
 endif

 if !empty(win_label.label_17.Value)
    _result += '      FONT ' + _charsep + alltrim(win_label.label_17.Value) + _charsep 
    _result += ' SIZE ' + alltrim(str(win_label.label_19.Value)) + ' ; ' + _crlf
 endif
 
do case
   case win_label.label_20.Value = 1
       _result += '      BOLD ; ' + _crlf 
   case win_label.label_20.Value = 2
       _result += '      ITALIC ; ' + _crlf 
   case win_label.label_20.Value = 3
       _result += '      UNDERLINE ; ' + _crlf 
   case win_label.label_20.Value = 4
       _result += '      STRIKEOUT ; ' + _crlf 
 end case
 
*------------------------------------------------
    _result +='      BACKCOLOR NIL ;'  + _crlf
    _result +='      FONTCOLOR NIL ;'  + _crlf
*------------------------------------------------

   
 if !empty(win_label.label_22.Value)
    _result += '      TOOLTIP ' + _charsep + alltrim(win_label.label_22.Value) + _charsep + ' ; ' + _crlf
 endif
  
 if win_label.label_23.Value
   _result += '      TRANSPARENT ; ' + _crlf
 endif
 
 do case
   case win_label.label_24.Value = 1
       _result += '      RIGHTALIGN ; ' + _crlf 
   case win_label.label_24.Value = 2
       _result += '      CENTERALIGN ; ' + _crlf 
 end case
 
 if win_label.label_25.Value
   _result += '      INVISIBLE ; ' + _crlf
 endif
if win_label.label_26.Value
   _result += '      ENDELLIPSES ; ' + _crlf
 endif
if win_label.label_27.Value
   _result += '      NOPREFIX ; ' + _crlf
 endif

 
 
 

 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
