#include <hmg.ch>

PROCEDURE c_tab

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_tab ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "TAB definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_tab.Release
	  
/*
      DEFINE TAB <ControlName>
            [ OF <ParentWindowName> ]
            AT <nRow> ,<nCol>
            WIDTH <nWidth>
            HEIGHT<nHeight>
            [ VALUE <nValue> ]
            [ FONT <cFontname> SIZE <nFonSize> ]
            [ BOLD ]
            [ ITALIC ]
            [ UNDERLINE ]
            [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ BUTTONS ]
            [ FLAT ]
            [ HOTTRACK ]
            [ VERTICAL ]
            [ VERTICAL ]
            [ MULTILINE ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ NOTRANSPARENT ]

            DEFINE PAGE <cPageCaption> [ IMAGE <cImageName> ]

                  ... Control Definitions...

            END PAGE
            ...

      END TAB
*/	  
	  
	  @ 50, 50 LABEL tab_1 VALUE 'DEFINE TAB' BOLD
	  @ 50, 180 TEXTBOX tab_2 WIDTH 150 VALUE 'tab_1'
	  
	  @ 80, 100 LABEL tab_3 VALUE 'AT' BOLD
	  @ 80, 180 TEXTBOX tab_4 WIDTH 40 VALUE 50 NUMERIC INPUTMASK '999'
	  @ 80, 225 LABEL tab_5 VALUE ','
	  @ 80, 230 TEXTBOX tab_6 WIDTH 40 VALUE 50 NUMERIC INPUTMASK '999'

	  @ 110, 100 LABEL tab_7 VALUE 'WIDTH' BOLD
	  @ 110, 180 TEXTBOX tab_8 WIDTH 40 VALUE 400 NUMERIC INPUTMASK '999'
	  @ 110, 225 LABEL tab_9 VALUE 'HEIGHT' BOLD
	  @ 110, 300 TEXTBOX tab_10 WIDTH 40 VALUE 300 NUMERIC INPUTMASK '999'
	  	  
  	  @ 140, 100 LABEL tab_11 VALUE 'VALUE'
	  @ 140, 180 TEXTBOX tab_12 WIDTH 50 VALUE 1 NUMERIC INPUTMASK '999'
	  
	  @ 170, 100 LABEL tab_13 VALUE 'FONT'
	  @ 170, 150 TEXTBOX tab_14 WIDTH 100 VALUE 'Arial'
	  @ 170, 255 LABEL tab_15 VALUE 'SIZE'
	  @ 170, 300 TEXTBOX tab_16 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'
	  			
      @ 200, 100 RADIOGROUP tab_17 ;
			OPTIONS { 'BOLD', 'ITALIC' , 'UNDERLINE' , 'STRIKEOUT', 'NONE' } ;
			VALUE 5 ;
			WIDTH 100 ;
			HORIZONTAL ;
			SPACING 100

	  @ 230, 100 LABEL tab_19 VALUE 'TOOLTIP'
	  @ 230, 180 TEXTBOX tab_20 WIDTH 150 
	  
      @ 260, 100 CHECKBOX tab_21 CAPTION 'BUTTONS' WIDTH 100 HEIGHT 30 
      @ 260, 200 CHECKBOX tab_22 CAPTION 'FLAT' WIDTH 100 HEIGHT 30 
      @ 260, 300 CHECKBOX tab_23 CAPTION 'HOTTRACK' WIDTH 100 HEIGHT 30 
      @ 260, 400 CHECKBOX tab_24 CAPTION 'VERTICAL' WIDTH 100 HEIGHT 30 
      @ 260, 500 CHECKBOX tab_25 CAPTION 'MULTILINE' WIDTH 100 HEIGHT 30 

   	  @ 290, 100 LABEL tab_26 VALUE 'ON CHANGE'
	  @ 290, 180 TEXTBOX tab_27 WIDTH 150 
 
      @ 320, 100 CHECKBOX tab_28 CAPTION 'NONTRANSPARENT' WIDTH 150 HEIGHT 30 
	  
	  @ 370, 100 LABEL tab_29 VALUE 'DEFINE PAGE' BOLD
	  @ 370, 200 TEXTBOX tab_30 WIDTH 30 VALUE 3 NUMERIC INPUTMASK '99'
	  @ 370, 240 LABEL tab_31 VALUE 'TIMES'
	  @ 370, 300 CHECKBOX tab_32 CAPTION 'IMAGE' WIDTH 100 HEIGHT 30 
	  
/*	
            DEFINE PAGE <cPageCaption> [ IMAGE <cImageName> ]

                  ... Control Definitions...

            END PAGE
*/ 
	  
          @ 500, 175 BUTTON tab_button ;
          CAPTION "OK" ;
          ACTION create_tab() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_tabbuexit ;
          CAPTION "CANCEL" ;
          ACTION win_tab.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		
	  
	

   END WINDOW

   CENTER WINDOW win_tab
   ACTIVATE WINDOW win_tab

RETURN
*:---------------------------------------------*
PROCEDURE create_tab

LOCAL _result := '   DEFINE TAB ', _charsep := "'", _crlf := chr(13)+chr(10)
LOCAL _i := 0, _count := win_tab.tab_30.Value

 _result += alltrim(win_tab.tab_2.Value) + ' ; ' + _crlf
 
 _result += '      AT ' + alltrim(str(win_tab.tab_4.Value)) + ' , ' + alltrim(str(win_tab.tab_6.Value)) + ' ; ' + _crlf
 
 _result += '      WIDTH ' + alltrim(str(win_tab.tab_8.Value)) + ' ; ' + _crlf
 _result += '      HEIGHT ' + alltrim(str(win_tab.tab_10.Value)) + ' ; ' + _crlf
  
if !empty(win_tab.tab_12.Value)
   _result += '      VALUE ' + alltrim(str(win_tab.tab_12.Value)) + ' ; ' + _crlf
endif
  
if !empty(win_tab.tab_14.Value)
   _result += '      FONT ' + _charsep + alltrim(win_tab.tab_14.Value) + _charsep + ' '
   else
   _result += '     ' 
endif
if !empty(win_tab.tab_16.Value)
   _result += ' SIZE ' + alltrim(str(win_tab.tab_16.Value)) + ' '
endif
if !empty(win_tab.tab_14.Value) .or. !empty(win_tab.tab_16.Value)
_result += ' ; ' + _crlf
endif

if win_tab.tab_17.Value = 1
   _result += '      BOLD ; ' + _crlf
endif
if win_tab.tab_17.Value = 2
   _result += '      ITALIC ; ' + _crlf
endif
if win_tab.tab_17.Value = 3
   _result += '      UNDERLINE ; ' + _crlf
endif
if win_tab.tab_17.Value = 4
   _result += '      STRIKEOUT ; ' + _crlf
endif

if !empty(win_tab.tab_20.Value)
   _result += '      TOOLTIP ' + _charsep + alltrim(win_tab.tab_20.Value) + _charsep + ' ; ' + _crlf
endif

if win_tab.tab_21.Value
   _result += '      BUTTONS ; ' + _crlf
endif
if win_tab.tab_22.Value
   _result += '      FLAT ; ' + _crlf
endif
if win_tab.tab_23.Value
   _result += '      HOTTRACK ; ' + _crlf
endif
if win_tab.tab_24.Value
   _result += '      VERTICAL ; ' + _crlf
endif
if win_tab.tab_25.Value
   _result += '      MULTILINE ; ' + _crlf
endif

if !empty(win_tab.tab_27.Value)
   _result += '      ON CHANGE ' + alltrim(win_tab.tab_27.Value) + ' ; ' + _crlf
endif

if win_tab.tab_28.Value
   _result += '      NONTRANSPARENT ; ' + _crlf
endif

   _result += _crlf 
   
  
   
  
for _i = 1 to _count
   
   _result += '      PAGE ' + _charsep + 'page ' + alltrim(str(_i)) + _charsep
   if win_tab.tab_32.Value
      _result += ' IMAGE ' +_charsep + 'picture_' + alltrim(str(_i)) + '.bmp' + _charsep 
    endif
   
   _result += _crlf
   
   _result += '         *' + _crlf
   _result += '         *' + _crlf
   _result += '         *' + _crlf
   _result += _crlf 
 
   _result += '      END PAGE ' + _crlf + _crlf 

next
 
_result += '   END TAB ' + _crlf

   
System.Clipboard := _result
 
msginfo(_result)
 
RETURN
