#include <hmg.ch>

PROCEDURE c_combobox

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_combobox ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "COMBOBOX definition" ;
      MODAL 

      ON KEY ESCAPE ACTION win_combobox.Release
 
 /*
       @ <nRow> ,<nCol>
            COMBOBOX <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            [ ITEMS <caItems> ]
            [ ITEMSOURCE <ItemSourceField1> [ , <ItemSourceField2> ] ]
            [ VALUE <nValue> ]
            [ VALUESOURCE <ValueSourceField> ]
            [ DISPLAYEDIT ]
            [ WIDTH <nWodth> ]
            [ HEIGHT <nHeight>]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ ON GOTFOCUS <OnGotFocusProcedur> | <bBlock> ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ ON LOSTFOCUS <OnLostFocusProcedure> | <bBlock> ]
            [ ON ENTER <OnEnterProcedure> | <bBlock> ]
            [ ON DISPLAYCHANGE <OnDisplayChangeProcedure> | <bBlock> ]
            [ ON DROPDOWN <OnDropDownProcedure> | <bBlock> ]
            [ ON CLOSEUP <OnCloseUpProcedure> | <bBlock> ]
            [ NOTABSTOP ]
            [ HELPID <nHelpId> ]
            [ BREAK ]
            [ GRIPPERTEXT <cGripperText> ]
            [ INVISIBLE ]
            [ SORT ]
            [ IMAGE <acImageNames> ] 
            [ DROPPEDWIDTH <nDroppedWidth> ]
            [ ON CANCEL <OnCancelProcedure> | <bBlock>  ] 
            [ NOTRANSPARENT ]
 */

 
	  @ 50, 50 LABEL combobox_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX combobox_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL combobox_3 VALUE ','
	  @ 50, 120 TEXTBOX combobox_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL combobox_5 VALUE 'COMBOBOX' WIDTH 70 BOLD 
	  @ 50, 250 TEXTBOX combobox_6 WIDTH 150 VALUE 'combobox_1'
	  
	  @ 80, 100 LABEL combobox_7 VALUE 'ITEMS' WIDTH 70
      @ 80, 200 TEXTBOX combobox_8 WIDTH 100 VALUE 'array name'
	  @ 80, 320 LABEL combobox_9 VALUE '.OR. TIMES' WIDTH 70
      @ 80, 400 TEXTBOX combobox_10 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'
  
      @ 110, 65 LABEL combobox_12 VALUE '.OR.'
	  @ 110, 100 LABEL combobox_13 VALUE 'ITEMSOURCE'
	  @ 110, 200 TEXTBOX combobox_14 WIDTH 100 VALUE 'dbf'
	  @ 110, 320 LABEL combobox_15 VALUE '->' 
	  @ 110, 340 TEXTBOX combobox_16 WIDTH 100 VALUE 'field'

	  @ 140, 100 LABEL combobox_17 VALUE 'VALUE'
	  @ 140, 200 TEXTBOX combobox_18 WIDTH 40 VALUE 1 NUMERIC INPUTMASK '999'
	  
	  @ 170, 100 LABEL combobox_19 VALUE 'WIDTH'
	  @ 170, 200 TEXTBOX combobox_20 WIDTH 40 VALUE 200 NUMERIC INPUTMASK '999'
	  @ 170, 300 LABEL combobox_21 VALUE 'HEIGHT'
	  @ 170, 400 TEXTBOX combobox_22 WIDTH 40 VALUE 200 NUMERIC INPUTMASK '999'
	  
	  @ 200, 100 LABEL combobox_23 VALUE 'TOOLTIP'
	  @ 200, 200 TEXTBOX combobox_24 WIDTH 150
	  
	  @ 230, 100 LABEL combobox_25 VALUE 'ON GOTFOCUS'
	  @ 230, 200 TEXTBOX combobox_26 WIDTH 150
	  
	  @ 260, 100 LABEL combobox_27 VALUE 'ON CHANGE'
	  @ 260, 200 TEXTBOX combobox_28 WIDTH 150
	  
	  @ 290, 100 LABEL combobox_29 VALUE 'ON LOSTFOCUS'
	  @ 290, 200 TEXTBOX combobox_30 WIDTH 150
	  
	  @ 320, 100 LABEL combobox_31 VALUE 'ON ENTER'
	  @ 320, 200 TEXTBOX combobox_32 WIDTH 150
	
      @ 350, 100 CHECKBOX combobox_39 CAPTION 'NOTABSTOP' WIDTH 100 HEIGHT 30 
      @ 350, 200 CHECKBOX combobox_40 CAPTION 'BREAK' WIDTH 100 HEIGHT 30 
	  
	  @ 380, 100 LABEL combobox_41 VALUE 'GRIPPERTEXT'
	  @ 380, 200 TEXTBOX combobox_42 WIDTH 150

	  @ 410, 100 CHECKBOX combobox_43 CAPTION 'INVISIBLE' WIDTH 100 HEIGHT 30 
      @ 410, 200 CHECKBOX combobox_44 CAPTION 'SORT' WIDTH 100 HEIGHT 30 

	  @ 440, 100 LABEL combobox_45 VALUE 'IMAGE'
	  @ 440, 200 TEXTBOX combobox_46 WIDTH 150

	  @ 470, 100 LABEL combobox_47 VALUE 'ON CANCEL'
	  @ 470, 200 TEXTBOX combobox_48 WIDTH 150

         @ 500, 175 BUTTON combobox_button ;
          CAPTION "OK" ;
          ACTION  create_combobox() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_comboboexit ;
          CAPTION "CANCEL" ;
          ACTION win_combobox.Release  ;
          WIDTH 100 ;
          HEIGHT 30 
		
	
	

   END WINDOW

   CENTER WINDOW win_combobox
   ACTIVATE WINDOW win_combobox

RETURN
*:---------------------------------------------*
PROCEDURE create_combobox

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
LOCAL _count := win_combobox.combobox_10.Value
 
 _result += alltrim(str(win_combobox.combobox_2.Value)) + ', ' + alltrim(str(win_combobox.combobox_2.Value)) + ' COMBOBOX '
 _result += alltrim(win_combobox.combobox_6.Value) + ' ; ' + _crlf 
 
 if !empty(win_combobox.combobox_8.Value)
    _result += '      ITEMS ' + alltrim(win_combobox.combobox_8.Value) + ' ; ' + _crlf 
 
 elseif win_combobox.combobox_10.Value > 0
   _result += '      ITEMS { ' 
 
 for _i = 1 to _count - 1
     _result += _charsep + 'Combo_' + alltrim(str(_i)) + _charsep + ', '
 next
 _result += _charsep + 'Combo_' + alltrim(str(_count)) + _charsep 
 
 _result += ' } ; ' + _crlf 
  
 elseif !empty(win_combobox.combobox_14.Value)

    _result += '      ITEMSOURCE ' + alltrim(win_combobox.combobox_14.Value) + ' -> ' + alltrim(win_combobox.combobox_16.Value) + ' ; ' + _crlf 
 
 endif
 
 if win_combobox.combobox_18.Value > 0
    _result += '      VALUE ' + alltrim(str(win_combobox.combobox_18.Value)) + ' ; ' + _crlf 
 endif
 
 if win_combobox.combobox_20.Value != 0 .or. win_combobox.combobox_20.Value != 0
    _result += '      '
	if win_combobox.combobox_20.Value != 0
	   _result += 'WIDTH ' + alltrim(str(win_combobox.combobox_20.Value)) + ' '
	endif
	if win_combobox.combobox_22.Value != 0
	   _result += 'HEIGHT ' + alltrim(str(win_combobox.combobox_22.Value))
	endif
	_result += ' ; ' + _crlf 
 endif
 
 if !empty(win_combobox.combobox_24.Value)
    _result += '      TOOLTIP ' + _charsep + alltrim(win_combobox.combobox_24.Value) + _charsep + ' ; ' + _crlf 
 endif

 if !empty(win_combobox.combobox_26.Value)
    _result += '      ON GOTFOCUS ' + alltrim(win_combobox.combobox_26.Value) + ' ; ' + _crlf 
 endif
 
 if !empty(win_combobox.combobox_28.Value)
    _result += '      ON CHANGE ' + alltrim(win_combobox.combobox_28.Value) + ' ; ' + _crlf 
 endif
 
 if !empty(win_combobox.combobox_30.Value)
    _result += '      ONGOTFOCUS ' + alltrim(win_combobox.combobox_30.Value) + ' ; ' + _crlf 
 endif
 
 if !empty(win_combobox.combobox_32.Value)
    _result += '      ON ENTER ' + alltrim(win_combobox.combobox_32.Value) + ' ; ' + _crlf 
 endif
 
 if win_combobox.combobox_39.Value
    _result += '      NOTABSTOP ' + ' ; ' + _crlf 
  endif
 
 if win_combobox.combobox_40.Value
    _result += '      BREAK ' + ' ; ' + _crlf 
  endif
 
 if !empty(win_combobox.combobox_42.Value)
    _result += '      GRIPPERTEXT ' + _charsep + alltrim(win_combobox.combobox_42.Value) + _charsep + ' ; ' + _crlf 
  endif
  
 if win_combobox.combobox_43.Value
    _result += '      INVISIBLE ' + ' ; ' + _crlf 
  endif
 
 if win_combobox.combobox_44.Value
    _result += '      SORT ' + ' ; ' + _crlf 
  endif
 
 if !empty(win_combobox.combobox_46.Value)
    _result += '      IMAGE ' + _charsep + alltrim(win_combobox.combobox_46.Value) + _charsep + ' ; ' + _crlf 
  endif
 	 
 if !empty(win_combobox.combobox_48.Value)
    _result += '      ON CANCEL ' + alltrim(win_combobox.combobox_48.Value) + ' ; ' + _crlf 
  endif
 
 
 
 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
