#include <hmg.ch>

PROCEDURE c_datepicker

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_datepicker ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "DATEPICKER definition" ;
      MODAL 

      ON KEY ESCAPE ACTION win_datepicker.Release
 
/*
      @ <nRow> ,<nCol>
            DATEPICKER<ControlName>
            [ OF | PARENT <cParentWindowName> ]
            [ VALUE <dValue> ]
            [ FIELD <FieldName> ]
            [ WIDTH <nWidth> ]
            [ HEIGHT <nHeight> ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ SHOWNONE ]
            [ UPDOWN ]
            [ RIGHTALIGN ]
            [ ON GOTFOCUS <OnGotFocusProcedur> | <bBlock> ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ ON LOSTFOCUS <OnLostFocusProcedure> | <bBlock> ]
            [ HELPID <nHelpId> ]
            [ ON ENTER <OnEnterProcedure> | <bBlock> ]
            [ INVISIBLE ]
            [ NOTABSTOP ]
            [ FORMAT <cDateFormat> ]
*/
 
	  @ 50, 50 LABEL datepicker_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX datepicker_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL datepicker_3 VALUE ','
	  @ 50, 120 TEXTBOX datepicker_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL datepicker_5 VALUE 'DATEPICKER' WIDTH 100 BOLD
	  @ 50, 270 TEXTBOX datepicker_6 WIDTH 150 VALUE 'datepicker_1'
	  	  
	  @ 80, 100 LABEL datepicker_7 VALUE 'VALUE' WIDTH 70
	  @ 80, 200 TEXTBOX datepicker_9 VALUE 'date()' WIDTH 70

	  @ 110, 100 LABEL datepicker_10 VALUE 'TOOLTIP' WIDTH 100
	  @ 110, 200 TEXTBOX datepicker_11 WIDTH 150 

	  @ 140, 100 CHECKBOX datepicker_12 CAPTION 'SHOWNONE' WIDTH 100 HEIGHT 30 
      @ 170, 100 CHECKBOX datepicker_13 CAPTION 'UPDOWN' WIDTH 100 HEIGHT 30 
      @ 200, 100 CHECKBOX datepicker_14 CAPTION 'RIGHTALIGN' WIDTH 100 HEIGHT 30 
	
	  @ 230, 100 LABEL datepicker_15 VALUE 'ON GOTFOCUS' WIDTH 100
	  @ 230, 200 TEXTBOX datepicker_16 WIDTH 150 

	  @ 260, 100 LABEL datepicker_17 VALUE 'ON CHANGE' WIDTH 100
	  @ 260, 200 TEXTBOX datepicker_18 WIDTH 150 

	  @ 290, 100 LABEL datepicker_19 VALUE 'ON LOSTFOCUS' WIDTH 100
	  @ 290, 200 TEXTBOX datepicker_20 WIDTH 150 

	  @ 320, 100 LABEL datepicker_21 VALUE 'ON ENTER' WIDTH 100
	  @ 320, 200 TEXTBOX datepicker_22 WIDTH 150 

      @ 350, 100 CHECKBOX datepicker_23 CAPTION 'INVISIBLE' WIDTH 100 HEIGHT 30 
      @ 380, 100 CHECKBOX datepicker_24 CAPTION 'NOTABSTOP' WIDTH 100 HEIGHT 30 
	
          @ 500, 175 BUTTON datepicker_button ;
          CAPTION "OK" ;
          ACTION create_datepicker() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_datepicexit ;
          CAPTION "CANCEL" ;
          ACTION win_datepicker.Release  ;
          WIDTH 100 ;
          HEIGHT 30 
			  
	 
   END WINDOW

   CENTER WINDOW win_datepicker
   ACTIVATE WINDOW win_datepicker

RETURN
*:---------------------------------------------*
PROCEDURE create_datepicker

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10), _i

_result += alltrim(str(Win_datepicker.datepicker_2.Value)) + ', ' + alltrim(str(Win_datepicker.datepicker_4.Value)) + ' DATEPICKER ' + alltrim(Win_datepicker.datepicker_6.Value) + ' ; ' + _crlf
  
 if !empty(Win_datepicker.datepicker_9.Value)
    _result += '      VALUE ' + alltrim(Win_datepicker.datepicker_9.Value) + ' ; ' + _crlf
 endif
 if !empty(Win_datepicker.datepicker_11.Value)
    _result += '      TOOLTIP ' + _charsep + alltrim(Win_datepicker.datepicker_11.Value) +  _charsep + ' ; ' + _crlf
 endif
 
 if Win_datepicker.datepicker_12.Value
    _result += '      SHOWNONE ; ' + _crlf
 endif
 if Win_datepicker.datepicker_13.Value
    _result += '      UPDOWN ; ' + _crlf
 endif
 if Win_datepicker.datepicker_14.Value
    _result += '      RIGHTALIGN ; ' + _crlf
 endif
  
 if !empty(Win_datepicker.datepicker_16.Value)
    _result += '      ON GOTFOCUS ' + alltrim(Win_datepicker.datepicker_16.Value) + ' ; ' + _crlf
 endif
 if !empty(Win_datepicker.datepicker_18.Value)
    _result += '      ON CHANGE ' + alltrim(Win_datepicker.datepicker_18.Value) + ' ; ' + _crlf
 endif
 if !empty(Win_datepicker.datepicker_20.Value)
    _result += '      ON LOSTFOCUS ' + alltrim(Win_datepicker.datepicker_20.Value) + ' ; ' + _crlf
 endif
 if !empty(Win_datepicker.datepicker_22.Value)
    _result += '      ON ENTER ' + alltrim(Win_datepicker.datepicker_22.Value) + ' ; ' + _crlf
 endif
 
 if Win_datepicker.datepicker_23.Value
    _result += '      INVISIBLE ; ' + _crlf
 endif
 if Win_datepicker.datepicker_24.Value
    _result += '      NOTABSTOP ; ' + _crlf
 endif
   
 

 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
