#include <hmg.ch>

PROCEDURE c_frame

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_frame ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "FRAME definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_frame.Release

/*
      @ <nRow> ,<nCol>
            FRAME<ControlName>
            [ OF | PARENT <ParentWindowName> ]
            [ CAPTION <cCaption> ]
            WIDTH <nWidth>
            HEIGHT <nHeight>
            [ FONT <cFontName> ]
            [ SIZE <nFontSize> ]
            [ BOLD ]
            [ ITALIC ]
            [ UNDERLINE ]
            [ STRIKEOUT ]
            [ BACKCOLOR <aBackColor> ]
            [ FONTCOLOR <aFontColor> ]
            [ TRANSPARENT ]
*/	 
	  
	  @ 50, 50 LABEL frame_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX frame_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL frame_3 VALUE ','
	  @ 50, 120 TEXTBOX frame_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL frame_5 VALUE 'FRAME' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX frame_6 WIDTH 150 VALUE 'frame_1'

	  @ 80, 100 LABEL frame_7 VALUE 'CAPTION' WIDTH 70
          @ 80, 180 TEXTBOX frame_8 WIDTH 200
	  
	  @ 110, 100 LABEL frame_9 VALUE 'WIDTH' WIDTH 70 BOLD
          @ 110, 180 TEXTBOX frame_10 WIDTH 40 VALUE 200 NUMERIC INPUTMASK '999'
	  @ 110, 230 LABEL frame_11 VALUE 'HEIGTH' WIDTH 70 BOLD
          @ 110, 310 TEXTBOX frame_12 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '999'
	  
	  @ 140, 100 LABEL frame_13 VALUE 'FONT' WIDTH 70
	  @ 140, 180 TEXTBOX frame_14 WIDTH 100 VALUE 'Arial'
	  @ 140, 290 LABEL frame_15 VALUE 'SIZE' WIDTH 70
	  @ 140, 370 TEXTBOX frame_16 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'

	  @ 170, 100 CHECKBOX frame_17 CAPTION 'BOLD' 
          @ 200, 100 CHECKBOX frame_18 CAPTION 'ITALIC' 
	  @ 230, 100 CHECKBOX frame_19 CAPTION 'UNDERLINE'
	  @ 260, 100 CHECKBOX frame_20 CAPTION 'STRIKEOUT'
	  @ 290, 100 CHECKBOX frame_21 CAPTION 'TRANSPARENT' 
  
          @ 500, 175 BUTTON frame_button ; 
          CAPTION "OK" ;
          ACTION create_frame() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_framexit ;
          CAPTION "CANCEL" ;
          ACTION win_frame.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		
	 
	

   END WINDOW

   CENTER WINDOW win_frame
   ACTIVATE WINDOW win_frame

RETURN
*:---------------------------------------------*
PROCEDURE create_frame

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_frame.frame_2.Value)) + ', ' + alltrim(str(win_frame.frame_2.Value)) + ' FRAME '
 _result += alltrim(win_frame.frame_6.Value) + ' ; ' + _crlf
 
 if !empty(win_frame.frame_8.Value)
    _result += '      CAPTION ' + _charsep + alltrim(win_frame.frame_8.Value) + _charsep + ' ; ' + _crlf
 endif
  
 if win_frame.frame_10.Value != 0
    _result += '      WIDTH ' + alltrim(str(win_frame.frame_10.Value)) + ' ; ' + _crlf
 endif
 
 if win_frame.frame_12.Value != 0
    _result += '      HEIGHT ' + alltrim(str(win_frame.frame_12.Value)) + ' ; ' + _crlf
 endif
    
 if !empty(win_frame.frame_14.Value)
    _result += '      FONT ' + _charsep + alltrim(win_frame.frame_14.Value) + _charsep + ' '
    
    if !empty(win_frame.frame_16.Value)
       _result += 'SIZE ' + alltrim(str(win_frame.frame_16.Value)) + ' '
    endif
	_result += ' ; ' + _crlf
	
 endif
 
 if win_frame.frame_17.Value 
    _result += '      BOLD ; ' + _crlf
 endif
 if win_frame.frame_18.Value 
    _result += '      ITALIC ; ' + _crlf
 endif
 if win_frame.frame_19.Value 
    _result += '      UNDERLINE ; ' + _crlf
 endif
 if win_frame.frame_20.Value 
    _result += '      STRIKEOUT ; ' + _crlf
 endif
 if win_frame.frame_21.Value 
    _result += '      TRANSPARENT ; ' + _crlf
 endif
*------------------------------------------------
    _result +='      BACKCOLOR NIL ;'  + _crlf
    _result +='      FONTCOLOR NIL ' 
*------------------------------------------------

 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
