#include <hmg.ch>

PROCEDURE c_IMAGE

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_IMAGE ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "IMAGE definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_IMAGE.Release

/*
       @ <nRow> ,<nCol>
            IMAGE <ControlName>
            [ OF | PARENT <ParentWindowName> ] 
            [ ACTION | ONCLICK | ON CLICK <ActionProcedureName> | <bBlock> ]
            PICTURE <cPictureName>
            [ WIDTH <nWidth> ]
            [ HEIGHT <nHeight> ]
            [ STRETCH ]
            [ HELPID <nHelpId> ]
            [ INVISIBLE ]
            [ TRANSPARENT  ]
            [ BACKGROUNDCOLOR anBackgroundColor ]
            [ ADJUSTIMAGE ]
            [ TRANSPARENTCOLOR anTransparentColor ]
            [ TOOLTIP <cToolTipText> ]
*/	 
	  
	  @ 50, 50 LABEL IMAGE_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX IMAGE_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL IMAGE_3 VALUE ','
	  @ 50, 120 TEXTBOX IMAGE_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL IMAGE_5 VALUE 'IMAGE' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX IMAGE_6 WIDTH 150 VALUE 'image_1'
  
	  @ 80, 100 LABEL IMAGE_7 VALUE 'ACTION' WIDTH 70
      @ 80, 180 TEXTBOX IMAGE_8 WIDTH 200
	  
	  @ 110, 100 LABEL IMAGE_27 VALUE 'PICTURE' WIDTH 70 BOLD
          @ 110, 180 TEXTBOX IMAGE_28 WIDTH 200 VALUE 'picture_'
	  
	  @ 140, 100 LABEL IMAGE_9 VALUE 'WIDTH' WIDTH 70
          @ 140, 180 TEXTBOX IMAGE_10 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '999'
	  @ 140, 230 LABEL IMAGE_11 VALUE 'HEIGTH' WIDTH 70
          @ 140, 310 TEXTBOX IMAGE_12 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '999'

	  @ 170, 100 CHECKBOX IMAGE_13 CAPTION 'STRECH' 
          @ 200, 100 CHECKBOX IMAGE_14 CAPTION 'INVISIBLE' 
	  @ 230, 100 CHECKBOX IMAGE_15 CAPTION 'TRANSPARENT'
	  @ 260, 100 CHECKBOX IMAGE_16 CAPTION 'ADJUSTIMAGE'
	  
	  @ 290, 100 LABEL IMAGE_17 VALUE 'TOOLTIP' WIDTH 70
          @ 290, 180 TEXTBOX IMAGE_18 WIDTH 200
	
          @ 500, 175 BUTTON IMAGE_button ;
          CAPTION "OK" ;
          ACTION create_IMAGE() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_IMAGexit ;
          CAPTION "CANCEL" ;
          ACTION win_IMAGE.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		
	 
   END WINDOW

   CENTER WINDOW win_IMAGE
   ACTIVATE WINDOW win_IMAGE

RETURN
*:---------------------------------------------*
PROCEDURE create_IMAGE

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_IMAGE.IMAGE_2.Value)) + ', ' + alltrim(str(win_IMAGE.IMAGE_2.Value)) + ' IMAGE '
 _result += alltrim(win_IMAGE.IMAGE_6.Value) + ' ; ' + _crlf
 
 if !empty(win_IMAGE.IMAGE_8.Value)
    _result += '      ACTION ' + alltrim(win_IMAGE.IMAGE_8.Value) + ' ; ' + _crlf
 endif
  
    _result += '      PICTURE ' + _charsep + alltrim(win_IMAGE.IMAGE_28.Value) + _charsep + ' ; ' + _crlf
  
 if win_IMAGE.IMAGE_10.Value != 0
    _result += '      WIDTH ' + alltrim(str(win_IMAGE.IMAGE_10.Value)) + ' ; ' + _crlf
 endif
 
 if win_IMAGE.IMAGE_12.Value != 0
    _result += '      HEIGHT ' + alltrim(str(win_IMAGE.IMAGE_12.Value)) + ' ; ' + _crlf
 endif
 
 if win_IMAGE.IMAGE_13.Value 
    _result += '      STRECH ; ' + _crlf
 endif
 if win_IMAGE.IMAGE_14.Value 
    _result += '      INVISIBLE ; ' + _crlf
 endif
 if win_IMAGE.IMAGE_15.Value 
    _result += '      TRANSPARENT ; ' + _crlf
 endif
 if win_IMAGE.IMAGE_16.Value 
    _result += '      ADJUSTIMAGE ; ' + _crlf
 endif
  
 if !empty(win_IMAGE.IMAGE_18.Value)
    _result += '      TOOLTIP ' + alltrim(win_IMAGE.IMAGE_18.Value) + ' ; ' + _crlf
 endif
  
 

 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
