#include <hmg.ch>

PROCEDURE c_monthcalendar

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_monthcalendar ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "MONTHCALENDAR definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_monthcalendar.Release

/*
      @ <row>,<col>
            MONTHCALENDAR <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            [ VALUE <dValue> ]
            [ FONT <cFontName> ]
            [ SIZE <nFontsize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cTooltip> ]
            [ NOTODAY ]
            [ NOTODAYCIRCLE ]
            [ WEEKNUMBERS ]
            [ INVISIBLE ]
            [ NOTABSTOP ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ] 
            [ HELPID <nHelpId> ]
*/	  
	  
	  
	  @ 50, 50 LABEL monthcalendar_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX monthcalendar_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL monthcalendar_3 VALUE ','
	  @ 50, 120 TEXTBOX monthcalendar_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL monthcalendar_5 VALUE 'MONTHCALENDAR' WIDTH 110 BOLD
	  @ 50, 280 TEXTBOX monthcalendar_6 WIDTH 150 VALUE 'monthcalendar_1'

	  @ 110, 100 LABEL monthcalendar_11 VALUE 'VALUE' WIDTH 70
      @ 110, 180 TEXTBOX monthcalendar_12 WIDTH 200
 
	  @ 140, 100 LABEL monthcalendar_13 VALUE 'FONT' WIDTH 70
	  @ 140, 180 TEXTBOX monthcalendar_14 WIDTH 100 VALUE 'Arial'
	  @ 140, 290 LABEL monthcalendar_15 VALUE 'SIZE' WIDTH 70
	  @ 140, 370 TEXTBOX monthcalendar_16 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'
			
      @ 170, 100 RADIOGROUP monthcalendar_17 ;
			OPTIONS { 'BOLD', 'ITALIC', 'UNDERLINE', 'STRIKEOUT', 'NONE' } ;
			VALUE 5 ;
			WIDTH 100 ;
			HORIZONTAL ;
			SPACING 100
			
	  @ 200, 100 LABEL monthcalendar_18 VALUE 'TOOLTIP' WIDTH 70
	  @ 200, 180 TEXTBOX monthcalendar_19 WIDTH 150 VALUE ''
  	  
	  @ 230, 100 CHECKBOX monthcalendar_20 CAPTION 'NOTODAY' 
	  @ 260, 100 CHECKBOX monthcalendar_21 CAPTION 'NOTODAYCIRCLE'
	  @ 290, 100 CHECKBOX monthcalendar_22 CAPTION 'WEEKNUMBERS' 
	  @ 320, 100 CHECKBOX monthcalendar_23 CAPTION 'INVISIBLE' 
	  @ 350, 100 CHECKBOX monthcalendar_24 CAPTION 'NOTABSTOP' 
	  
	  @ 380, 70 LABEL monthcalendar_25 VALUE 'ON CHANGE' WIDTH 100
	  @ 380, 180 TEXTBOX monthcalendar_26 WIDTH 150 
		
          @ 500, 175 BUTTON monthcalendar_button ;
          CAPTION "OK" ;
          ACTION create_monthcalendar() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_monthexit ;
          CAPTION "CANCEL" ;
          ACTION win_monthcalendar.Release  ;
          WIDTH 100 ;
          HEIGHT 30 


   END WINDOW

   CENTER WINDOW win_monthcalendar
   ACTIVATE WINDOW win_monthcalendar

RETURN
*:---------------------------------------------*
PROCEDURE create_monthcalendar

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_monthcalendar.monthcalendar_2.Value)) + ', ' + alltrim(str(win_monthcalendar.monthcalendar_2.Value)) + ' MONTHCALENDAR '
 _result += alltrim(win_monthcalendar.monthcalendar_6.Value) + ' ; ' + _crlf
 
 if !empty(win_monthcalendar.monthcalendar_12.Value)
    _result += '      VALUE ' + alltrim(win_monthcalendar.monthcalendar_12.Value) + ' ; ' + _crlf
 endif
  
 if !empty(win_monthcalendar.monthcalendar_14.Value)
    _result += '      FONT ' + _charsep + alltrim(win_monthcalendar.monthcalendar_14.Value) + _charsep
	_result += ' SIZE ' + alltrim(str(win_monthcalendar.monthcalendar_16.Value)) + ' ; ' + _crlf
 endif
  
 do case
    case win_monthcalendar.monthcalendar_17.Value = 1
        _result += '      BOLD ; ' + _crlf
	case win_monthcalendar.monthcalendar_17.Value = 2
        _result += '      ITALIC ; ' + _crlf
    case win_monthcalendar.monthcalendar_17.Value = 3
        _result += '      UNDERLINE ; ' + _crlf
    case win_monthcalendar.monthcalendar_17.Value = 4
        _result += '      STRIKEOUT ; ' + _crlf
end case		
		
 if !empty(win_monthcalendar.monthcalendar_19.Value)
    _result += '      TOOLTIP ' + _charsep + alltrim(win_monthcalendar.monthcalendar_19.Value) + _charsep + ' ; ' + _crlf
 endif
 
 if win_monthcalendar.monthcalendar_20.Value
    _result += '      NOTODAY ; ' + _crlf
 endif
 if win_monthcalendar.monthcalendar_21.Value
    _result += '      NOTODAYCIRCLE ; ' + _crlf
 endif
 if win_monthcalendar.monthcalendar_22.Value
    _result += '      WEEKNUMBERS ; ' + _crlf
 endif
 if win_monthcalendar.monthcalendar_23.Value
    _result += '      INVISIBLE ; ' + _crlf
 endif
 if win_monthcalendar.monthcalendar_24.Value
    _result += '      NOTABSTOP ; ' + _crlf
 endif		
		
 if !empty(win_monthcalendar.monthcalendar_26.Value)
    _result += '      ON CHANGE ' + alltrim(win_monthcalendar.monthcalendar_26.Value) + ' ; ' + _crlf
 endif	  
  
  
 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
