#include <hmg.ch>

PROCEDURE c_onkey

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_onkey ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "ON KEY definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_onkey.Release
 
	  
	  @ 50, 50 LABEL onkey_1 VALUE 'ON KEY' BOLD
	  @ 50, 100 TEXTBOX onkey_2 WIDTH 100 VALUE 'ESCAPE' 
	  @ 50, 230 LABEL onkey_3 VALUE 'ACTION'
	  @ 50, 300 TEXTBOX onkey_4 WIDTH 150 VALUE 'Win_.Release'
	
	  @ 80, 100 TEXTBOX onkey_12 WIDTH 100 VALUE 'F1' 
	  @ 80, 300 TEXTBOX onkey_14 WIDTH 150 VALUE 'nil'
		  
	  @ 110, 100 TEXTBOX onkey_22 WIDTH 100 VALUE 'F2' 
	  @ 110, 300 TEXTBOX onkey_24 WIDTH 150 VALUE 'nil'
		  
	  @ 140, 100 TEXTBOX onkey_32 WIDTH 100 VALUE 'F3' 
	  @ 140, 300 TEXTBOX onkey_34 WIDTH 150 VALUE 'nil'
		  
	  @ 170, 100 TEXTBOX onkey_42 WIDTH 100 VALUE 'F4' 
	  @ 170, 300 TEXTBOX onkey_44 WIDTH 150 VALUE 'nil'
		  
	  @ 200, 100 TEXTBOX onkey_52 WIDTH 100 VALUE 'F5' 
	  @ 200, 300 TEXTBOX onkey_54 WIDTH 150 VALUE 'nil'
		  
	  @ 230, 100 TEXTBOX onkey_62 WIDTH 100 VALUE 'F6' 
	  @ 230, 300 TEXTBOX onkey_64 WIDTH 150 VALUE 'nil'
		  
	  @ 260, 100 TEXTBOX onkey_72 WIDTH 100 VALUE 'F7' 
	  @ 260, 300 TEXTBOX onkey_74 WIDTH 150 VALUE 'nil'
		  
	  @ 290, 100 TEXTBOX onkey_82 WIDTH 100 VALUE 'F8' 
	  @ 290, 300 TEXTBOX onkey_84 WIDTH 150 VALUE 'nil'
		  
	  @ 320, 100 TEXTBOX onkey_92 WIDTH 100 VALUE 'F9' 
	  @ 320, 300 TEXTBOX onkey_94 WIDTH 150 VALUE 'nil'
		  
	  @ 350, 100 TEXTBOX onkey_102 WIDTH 100 VALUE 'F10' 
	  @ 350, 300 TEXTBOX onkey_104 WIDTH 150 VALUE 'nil'
		  
          @ 500, 175 BUTTON  onkey_button ;
          CAPTION "OK" ;
          ACTION create_onkey() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_onkeyexit ;
          CAPTION "CANCEL" ;
          ACTION  win_onkey.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		

   END WINDOW

   CENTER WINDOW win_onkey
   ACTIVATE WINDOW win_onkey

RETURN
*:---------------------------------------------*
PROCEDURE create_onkey

LOCAL _result := '', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10), _i
 
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_2.Value)   + ' ACTION ' + alltrim(win_onkey.onkey_4.Value)   + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_12.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_14.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_22.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_24.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_32.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_34.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_42.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_44.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_52.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_54.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_62.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_64.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_72.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_74.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_82.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_84.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_92.Value)  + ' ACTION ' + alltrim(win_onkey.onkey_94.Value)  + _crlf
 _result += '   ON KEY ' + alltrim(win_onkey.onkey_102.Value) + ' ACTION ' + alltrim(win_onkey.onkey_104.Value) + _crlf


 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
