#include <hmg.ch>

PROCEDURE c_radiogroup

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_radioGroup ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "RADIOGROUP definition" ;
      MODAL 

      ON KEY ESCAPE ACTION win_radioGroup.Release
 
/*
      @ <nRow> ,<nCol>
            RADIOGROUP <ControlName>
            [ OF | PARENT <cParentWindowName> ]
            OPTIONS <acOptions>
            [ VALUE <nValue> ] 
            [ WIDTH <nWidth> ] 
            [ SPACING <nSpacing> ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ BACKCOLOR <aBackColor> ]
            [ FONTCOLOR <aFontColor> ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ TRANSPARENT ]
            [ HELPID <nHelpId> ]
            [ INVISIBLE ]
            [ NOTABSTOP ]
            [ READONLY <alReadOnly> ]
            [ HORIZONTAL ]
*/
 
	  @ 50, 50 LABEL radioGroup_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX radioGroup_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL radioGroup_3 VALUE ','
	  @ 50, 120 TEXTBOX radioGroup_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL radioGroup_5 VALUE 'RADIOGROUP' WIDTH 100 BOLD
	  @ 50, 270 TEXTBOX radioGroup_6 WIDTH 150 VALUE 'radioGroup_1'
	  	  
	  @ 80, 100 LABEL radioGroup_7 VALUE 'OPTIONS' WIDTH 70 BOLD
          @ 80, 180 TEXTBOX radioGroup_8 WIDTH 50 VALUE 5 NUMERIC INPUTMASK '999'
	  @ 80, 240 LABEL radioGroup_9 VALUE 'TIMES' WIDTH 70

	  @ 110, 100 LABEL radioGroup_10 VALUE 'VALUE' WIDTH 70
          @ 110, 180 TEXTBOX radioGroup_11 WIDTH 50 VALUE 1 NUMERIC INPUTMASK '999'
	
	  @ 140, 100 LABEL radioGroup_12 VALUE 'WIDTH' WIDTH 70
          @ 140, 180 TEXTBOX radioGroup_13 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '999'
	  @ 140, 230 LABEL radioGroup_14 VALUE 'SPACING' WIDTH 70
          @ 140, 310 TEXTBOX radioGroup_15 WIDTH 40 VALUE 50 NUMERIC INPUTMASK '999'

	  @ 170, 100 LABEL radioGroup_16 VALUE 'TOOLTIP' WIDTH 100
	  @ 170, 200 TEXTBOX radioGroup_17 WIDTH 150 

	  @ 200, 100 LABEL radioGroup_18 VALUE 'ON CHANGE' WIDTH 100
	  @ 200, 200 TEXTBOX radioGroup_19 WIDTH 150 

      @ 230, 100 CHECKBOX radioGroup_20 CAPTION 'TRANSPARENT' WIDTH 100 HEIGHT 30 
      @ 260, 100 CHECKBOX radioGroup_21 CAPTION 'INVISIBLE' WIDTH 100 HEIGHT 30 
      @ 290, 100 CHECKBOX radioGroup_22 CAPTION 'NOTABSTOP' WIDTH 100 HEIGHT 30 
      @ 320, 100 CHECKBOX radioGroup_23 CAPTION 'READONLY' WIDTH 100 HEIGHT 30 
      @ 350, 100 CHECKBOX radioGroup_24 CAPTION 'HORIZONTAL' WIDTH 100 HEIGHT 30 

          @ 500, 175 BUTTON radioGroup_button ;
          CAPTION "OK" ;
          ACTION create_radioGroup() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_radioexit ;
          CAPTION "CANCEL" ;
          ACTION win_radioGroup.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		

   END WINDOW

   CENTER WINDOW win_radioGroup
   ACTIVATE WINDOW win_radioGroup

RETURN
*:---------------------------------------------*
PROCEDURE create_radioGroup

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10), _i
LOCAL _count := Win_radioGroup.radioGroup_8.Value

_result += alltrim(str(Win_radioGroup.radioGroup_2.Value)) + ', ' + alltrim(str(Win_radioGroup.radioGroup_4.Value)) + ' RADIOGROUP ' + alltrim(Win_radioGroup.radioGroup_6.Value) + ' ; ' + _crlf
  
 _result += '      OPTIONS { '
 for _i = 1 to _count - 1
   _result += _charsep + 'Radio_' + alltrim(str(_i)) + _charsep + ', '
 next
  _result += _charsep + 'Radio_' + alltrim(str(_count)) + _charsep + ' } ; ' + crlf
 
  _result += '      VALUE ' + alltrim(str(win_radioGroup.RadioGroup_11.Value)) + ' ; ' + crlf
  _result += '      WIDTH ' + alltrim(str(win_radioGroup.RadioGroup_13.Value)) + ' ; ' + crlf
  _result += '      SPACING ' + alltrim(str(win_radioGroup.RadioGroup_15.Value)) + ' ; ' + crlf

  if !empty(win_radioGroup.RadioGroup_17.Value)
     _result += '      TOOLTIP ' + _charsep + alltrim(win_radioGroup.RadioGroup_17.Value) + _charsep + ' ; ' + crlf
  endif

*------------------------------------------------
    _result +='      BACKCOLOR NIL ;'  + _crlf
    _result +='      FONTCOLOR NIL ;'  + _crlf 
*------------------------------------------------

  if !empty(win_radioGroup.RadioGroup_19.Value)
     _result += '      ON CHANGE ' + alltrim(win_radioGroup.RadioGroup_19.Value) + ' ; ' + crlf
  endif
  if win_radioGroup.RadioGroup_20.Value
     _result += '      TRANSPARENT ; ' + crlf
  endif
  if win_radioGroup.RadioGroup_21.Value
     _result += '      INVISIBLE ; ' + crlf
  endif
  if win_radioGroup.RadioGroup_22.Value
     _result += '      NOTABSTOP ; ' + crlf
  endif
 
  if win_radioGroup.RadioGroup_23.Value
  
  _result += '      READONLY { '
  for _i = 1 to _count - 1
    _result += '.F., '
  next
  _result += '.F. } ; ' + crlf
 
 endif
 
   if win_radioGroup.RadioGroup_24.Value
     _result += '      HORIZONTAL ; ' + crlf
  endif
 
 
 

 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
