#include <hmg.ch>

PROCEDURE c_spinner

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_spinner ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "SPINNER definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_spinner.Release

/*
      @ <nRow> ,<nCol>
            SPINNER <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            RANGE <nRangeMin> , <nRangeMax>
            [ VALUE <nValue> ]
            [ WIDTH <nWidth> ] 
            [ HEIGHT <nHeight> ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOOLTIP <cToolTipText> ]
            [ BACKCOLOR <aBackColor> ]
            [ FONTCOLOR <aFontColor> ]
            [ ON GOTFOCUS <OnGotFocusProcedure> | <bBlock> ]
            [ ON CHANGE <OnChangeProcedure> | <bBlock> ]
            [ ON LOSTFOCUS <OnLostFocusProcedure> | <bBlock> ]
            [ HELPID <nHelpId> ]
            [ INVISIBLE ]
            [ NOTABSTOP ]
            [ WRAP ]
            [ READONLY ]
            [ INCREMENT <nIncrement> ] 
*/	 
	  
	  @ 50, 50 LABEL spinner_1 VALUE '@' BOLD
	  @ 50, 70 TEXTBOX spinner_2 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 115 LABEL spinner_3 VALUE ','
	  @ 50, 120 TEXTBOX spinner_4 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
	  @ 50, 170 LABEL spinner_5 VALUE 'SPINNER' WIDTH 70 BOLD
	  @ 50, 250 TEXTBOX spinner_6 WIDTH 150 VALUE 'spinner_1'
  
  	  @ 80, 100 LABEL spinner_7 VALUE 'RANGE' WIDTH 70 BOLD
          @ 80, 180 TEXTBOX spinner_8 WIDTH 40 VALUE 0  NUMERIC INPUTMASK '9999'
          @ 80, 230 LABEL spinner_9 VALUE ','
          @ 80, 250 TEXTBOX spinner_10 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '9999'
  
	  @ 110, 100 LABEL spinner_11 VALUE 'VALUE' WIDTH 70
          @ 110, 180 TEXTBOX spinner_12 WIDTH 50 VALUE 0 NUMERIC INPUTMASK '9999'
  
	  @ 140, 100 LABEL spinner_13 VALUE 'WIDTH' WIDTH 70
          @ 140, 180 TEXTBOX spinner_14 WIDTH 40 VALUE 100 NUMERIC INPUTMASK '999'
	  @ 140, 230 LABEL spinner_15 VALUE 'HEIGTH' WIDTH 70
          @ 140, 310 TEXTBOX spinner_16 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '999'

          @ 500, 175 BUTTON spinner_button ;
          CAPTION "OK" ;
          ACTION  create_spinner() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_spinexit ;
          CAPTION "CANCEL" ;
          ACTION win_spinner.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		
	 	
	

   END WINDOW

   CENTER WINDOW win_spinner
   ACTIVATE WINDOW win_spinner

RETURN
*:---------------------------------------------*
PROCEDURE create_spinner

LOCAL _result := '   @ ', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10)
 
 _result += alltrim(str(win_spinner.spinner_2.Value)) + ', ' + alltrim(str(win_spinner.spinner_2.Value)) + ' SPINNER '
 _result += alltrim(win_spinner.spinner_6.Value) + ' ; ' + _crlf
 
 _result += '      RANGE ' + alltrim(str(win_spinner.spinner_8.Value)) + ', ' + alltrim(str(win_spinner.spinner_10.Value)) + ' ; ' + _crlf

  if win_spinner.spinner_12.Value != 0
    _result += '      VALUE ' + alltrim(str(win_spinner.spinner_12.Value)) + ' ; ' + _crlf
  endif
  
 if win_spinner.spinner_14.Value != 0
    _result += '      WIDTH ' + alltrim(str(win_spinner.spinner_14.Value)) + ' ; ' + _crlf
 endif
 
 if win_spinner.spinner_16.Value != 0
    _result += '      HEIGHT ' + alltrim(str(win_spinner.spinner_16.Value)) + ' ; ' + _crlf
 endif
*------------------------------------------------
    _result +='      BACKCOLOR NIL ;'  + _crlf
    _result +='      FONTCOLOR NIL ' 
*------------------------------------------------
 
  System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
