#include <hmg.ch>

PROCEDURE c_statusbar

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_statusbar ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "STATUSBAR definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_statusbar.Release
 
/*
      DEFINE STATUSBAR
            [ OF | PARENT <ParentWindowName> ]
            [ FONT <cFontName> SIZE <nFontSize> ]
            [ BOLD ] [ ITALIC ] [ UNDERLINE ] [ STRIKEOUT ]
            [ TOP ]


            STATUSITEM <cItemCaption>
                  [ WIDTH <nWidth>]
                  [ ACTION <ActionProvedureName> | <bBlock> ]
                  [ ICON <cIconName>]
                  [ FLAT | RAISED ]
                  [ TOOLTIP <cToolTipText>]
 

            [ DATE
                  [ WIDTH <nWidth> ]
                  [ ACTION <ActionProvedureName> | <bBlock> ]
                  [ TOOLTIP <cToolTipText>] ]
 

            [ CLOCK
                  [ WIDTH <nWidth> ]
                  [ ACTION <ActionProvedureName> | <bBlock> ]
                  [ TOOLTIP <cToolTipText> ]
                  [ INTERVAL <nIntervalUpdate> ] ]
 

            [ KEYBOARD
                  [ WIDTH <nWidth> ]
                  [ ACTION <ActionProvedureName> | <bBlock> ]
                  [ TOOLTIP <cToolTipText> ]
                  [ INTERVAL <nIntervalUpdate> ] ]
            ...
            ...

      END STATUSBAR

*/ 
 
	  @ 50, 50 LABEL statusbar_1 VALUE 'DEFINE STATUSBAR' BOLD
	
      @ 80, 100 LABEL statusbar_11 VALUE 'STATUSITEM' BOLD
	  @ 80, 200 TEXTBOX statusbar_12 WIDTH 100 VALUE 'item1' 
	  @ 80, 330 LABEL statusbar_13 VALUE 'WIDTH'
	  @ 80, 400 TEXTBOX statusbar_14 WIDTH 50 VALUE 100 NUMERIC INPUTMASK '999'
	
      @ 110, 100 LABEL statusbar_21 VALUE 'STATUSITEM'
	  @ 110, 200 TEXTBOX statusbar_22 WIDTH 100 VALUE 'item2' 
	  @ 110, 330 LABEL statusbar_23 VALUE 'WIDTH'
	  @ 110, 400 TEXTBOX statusbar_24 WIDTH 50 VALUE 100 NUMERIC INPUTMASK '999'

      @ 140, 100 LABEL statusbar_31 VALUE 'STATUSITEM'
	  @ 140, 200 TEXTBOX statusbar_32 WIDTH 100 VALUE 'item3' 
	  @ 140, 330 LABEL statusbar_33 VALUE 'WIDTH'
	  @ 140, 400 TEXTBOX statusbar_34 WIDTH 50 VALUE 100 NUMERIC INPUTMASK '999'

      @ 170,100 CHECKBOX statusbar_41 CAPTION 'KEYBOARD' WIDTH 100 HEIGHT 30 
      @ 200,100 CHECKBOX statusbar_42 CAPTION 'DATE' WIDTH 100 HEIGHT 30 
      @ 230,100 CHECKBOX statusbar_43 CAPTION 'CLOCK' WIDTH 100 HEIGHT 30 
	


          @ 500, 175 BUTTON statusbar_button ;
          CAPTION "OK" ;
          ACTION  create_statusbar() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_statusexit ;
          CAPTION "CANCEL" ;
          ACTION win_statusbar.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		

   END WINDOW

   CENTER WINDOW win_statusbar
   ACTIVATE WINDOW win_statusbar

RETURN
*:---------------------------------------------*
PROCEDURE create_statusbar

LOCAL _result := '', _sep := '', _charsep := "'", _crlf := chr(13)+chr(10), _i
 
 _result := '   DEFINE STATUSBAR' + _crlf

 _result += '      STATUSITEM ' + _charsep + alltrim(Win_statusbar.statusbar_12.Value) + _charsep 
 if Win_statusbar.statusbar_14.Value != 0
    _result += ' WIDTH ' + alltrim(str(Win_statusbar.statusbar_14.Value))
 endif
 _result += _crlf
 
 _result += '      STATUSITEM ' + _charsep + alltrim(Win_statusbar.statusbar_22.Value) + _charsep 
 if Win_statusbar.statusbar_24.Value != 0
    _result += ' WIDTH ' + alltrim(str(Win_statusbar.statusbar_14.Value))
 endif
 _result += _crlf
 
 _result += '      STATUSITEM ' + _charsep + alltrim(Win_statusbar.statusbar_32.Value) + _charsep 
 if Win_statusbar.statusbar_34.Value != 0
    _result += ' WIDTH ' + alltrim(str(Win_statusbar.statusbar_34.Value))
 endif
 _result += _crlf
 
 if Win_statusbar.statusbar_41.Value
    _result += '      KEYBOARD ' + _crlf
 endif
 
 if Win_statusbar.statusbar_42.Value
    _result += '      DATE          WIDTH 100 ' + _crlf
 endif
 
 if Win_statusbar.statusbar_43.Value
    _result += '      CLOCK          WIDTH 100 ' + _crlf
 endif
 
  _result += '   END STATUSBAR' + _crlf
 
 
 System.Clipboard := _result
 
 msginfo(_result)
 
 RETURN
