#include <hmg.ch>

PROCEDURE c_toolbar

   SET century on
   SET date german
   SET interactiveclose on
   SET multiple off warning
   SET navigation extended
   SET tooltipbackcolor { 193, 224, 255}
   SET tooltipstyle balloon

   DEFINE WINDOW win_toolbar ;
      AT 10, 10 ;
      WIDTH 600 ; 
      HEIGHT 600 ; 
      TITLE "TOOLBOX definition" ;
      MODAL

      ON KEY ESCAPE ACTION win_toolbar.Release
	  
/*
       DEFINE TOOLBAR <ControlName>
            [ OF | PARENT <ParentWindowName> ]
            [ BUTTONSIZE <nWidth>  , <nHeight> ]
            [ IMAGESIZE <nWidth>  , <nHeight> ]
            [ STRICTWIDTH ]
            [ FONT <cFontName> ]
            [ SIZE <nFontSize> ]
            [ BOLD ]
            [ ITALIC ]
            [ UNDERLINE ]
            [ STRIKEOUT ]
            [ TOOLTIP <cTooltipText> ]
            [ FLAT ]
            [ BOTTOM ]
            [ RIGHTTEXT ]  
            [ GRIPPERTEXT ]  
            [ BORDER ]
            [ BREAK ]
 

            BUTTON <Controlname>
                  [ CAPTION <cCaption> ]
                  [ PICTURE <cPictureName> ]
                  [ ACTION | ON CLICK | ONCLICK <ActionProcedureName> | <bBlock> ]
                  [ TOOLTIP <cToolTipText> ]
                  [ SEPARATOR ]
                  [ AUTOSIZE ]
                  [ DROPDOWN ]
                  [ WHOLEDROPDOWN ]
                  [ CHECK ]
                  [ GROUP ]
                  [ NOTRANSPARENT ]
            ...

      END TOOLBAR
*/	  
	  
	  @ 50, 50 LABEL toolbar_1 VALUE 'DEFINE TOOLBAR' BOLD
	  @ 50, 180 TEXTBOX toolbar_2 WIDTH 150 VALUE 'toolbar_1'
	  
	  @ 80, 100 LABEL toolbar_3 VALUE 'BUTTONSIZE'
	  @ 80, 180 TEXTBOX toolbar_4 WIDTH 40 VALUE 50 NUMERIC INPUTMASK '999'
	  @ 80, 225 LABEL toolbar_5 VALUE ','
	  @ 80, 230 TEXTBOX toolbar_6 WIDTH 40 VALUE 50 NUMERIC INPUTMASK '999'

	  @ 110, 100 LABEL toolbar_7 VALUE 'IMAGESIZE'
	  @ 110, 180 TEXTBOX toolbar_8 WIDTH 40 VALUE 30 NUMERIC INPUTMASK '999'
	  @ 110, 225 LABEL toolbar_9 VALUE ','
	  @ 110, 230 TEXTBOX toolbar_10 WIDTH 40 VALUE 30 NUMERIC INPUTMASK '999'

	  @ 140, 100 LABEL toolbar_11 VALUE 'FONT'
	  @ 140, 150 TEXTBOX toolbar_12 WIDTH 100 VALUE 'Arial'
	  @ 140, 255 LABEL toolbar_13 VALUE 'SIZE'
	  @ 140, 300 TEXTBOX toolbar_14 WIDTH 40 VALUE 10 NUMERIC INPUTMASK '999'

      @ 170,100 CHECKBOX toolbar_15 CAPTION 'BOLD' WIDTH 100 HEIGHT 30 
      @ 170,200 CHECKBOX toolbar_16 CAPTION 'ITALIC' WIDTH 100 HEIGHT 30 
      @ 170,300 CHECKBOX toolbar_17 CAPTION 'UNDERLINE' WIDTH 100 HEIGHT 30 
      @ 170,400 CHECKBOX toolbar_18 CAPTION 'STRIKEOUT' WIDTH 100 HEIGHT 30 

      @ 200,100 CHECKBOX toolbar_19 CAPTION 'FLAT' WIDTH 100 HEIGHT 30 
      @ 200,200 CHECKBOX toolbar_20 CAPTION 'BOTTOM' WIDTH 100 HEIGHT 30 
      @ 200,300 CHECKBOX toolbar_21 CAPTION 'RIGHTTEXT' WIDTH 100 HEIGHT 30 
      @ 200,400 CHECKBOX toolbar_22 CAPTION 'GRIPPERTEXT' WIDTH 100 HEIGHT 30 
      @ 200,500 CHECKBOX toolbar_23 CAPTION 'BORDER' WIDTH 100 HEIGHT 30 
  
  	  @ 250, 100 LABEL toolbar_24 VALUE 'BUTTON' BOLD
	  @ 250, 180 TEXTBOX toolbar_25 WIDTH 150 VALUE 'button_'
	  @ 250, 340 LABEL toolbar_24a VALUE 'TIMES'
	  @ 250, 400 TEXTBOX toolbar_25a WIDTH 40 VALUE 5 NUMERIC INPUTMASK '99'
	  
  	  @ 280, 150 LABEL toolbar_26 VALUE 'CAPTION'
	  @ 280, 220 TEXTBOX toolbar_27 WIDTH 150 VALUE 'button_'

   	  @ 310, 150 LABEL toolbar_28 VALUE 'PICTURE'
	  @ 310, 220 TEXTBOX toolbar_29 WIDTH 150 VALUE 'button_'

   	  @ 340, 150 LABEL toolbar_30 VALUE 'ACTION'
	  @ 340, 220 TEXTBOX toolbar_31 WIDTH 150 VALUE 'nil'
	   
          @ 500, 175 BUTTON toolbar_button ;
          CAPTION "OK" ;
          ACTION   create_toolbar() ;
          WIDTH 100 ;
          HEIGHT 30 

          @ 500, 350 BUTTON button_toolexit ;
          CAPTION "CANCEL" ;
          ACTION win_toolbar.Release  ;
          WIDTH 100 ;
          HEIGHT 30 		  
	
	

   END WINDOW

   CENTER WINDOW win_toolbar
   ACTIVATE WINDOW win_toolbar

RETURN
*:---------------------------------------------*
PROCEDURE create_toolbar

LOCAL _result := '   DEFINE TOOLBAR ', _charsep := "'", _crlf := chr(13)+chr(10)
LOCAL _count := win_toolbar.toolbar_25a.Value

_result += alltrim(win_toolbar.toolbar_2.Value) 
_result += ' BUTTONSIZE ' + alltrim(str(win_toolbar.toolbar_4.Value)) + ', ' + alltrim(str(win_toolbar.toolbar_6.Value)) 
_result += ' IMAGESIZE ' + alltrim(str(win_toolbar.toolbar_8.Value)) + ', ' + alltrim(str(win_toolbar.toolbar_10.Value))  
 
if !empty(win_toolbar.toolbar_11.Value)
   _result += ' FONT ' + _charsep + alltrim(win_toolbar.toolbar_12.Value) + _charsep + ' '
endif
if !empty(win_toolbar.toolbar_13.Value)
   _result += ' SIZE ' + alltrim(str(win_toolbar.toolbar_14.Value)) + ' '
endif

if win_toolbar.toolbar_15.Value
   _result += ' BOLD '
endif
if win_toolbar.toolbar_16.Value
   _result += ' ITALIC '
endif
if win_toolbar.toolbar_17.Value
   _result += ' UNDERLINE '
endif
if win_toolbar.toolbar_18.Value
   _result += ' STRIKEOUT '
endif

if win_toolbar.toolbar_19.Value
   _result += ' FLAT '
endif
if win_toolbar.toolbar_20.Value
   _result += ' BOTTOM '
endif
if win_toolbar.toolbar_21.Value
   _result += ' RIGHTTEXT '
endif
if win_toolbar.toolbar_22.Value
   _result += ' GRPPERTEXT '
endif
if win_toolbar.toolbar_23.Value
   _result += ' BORDER '
endif

   _result += _crlf + _crlf
   
for _i = 1 to _count

   _result += '      BUTTON ' + alltrim(win_toolbar.toolbar_25.Value) + alltrim(str(_i)) + ' ;' + _crlf
   _result += '         CAPTION ' + _charsep + alltrim(win_toolbar.toolbar_27.Value) + alltrim(str(_i)) + _charsep + ' ;' + _crlf
   _result += '         PICTURE ' + _charsep + alltrim(win_toolbar.toolbar_29.Value) + alltrim(str(_i)) + '.bmp' + _charsep + ' ;' + _crlf
   _result += '         ACTION ' + alltrim(win_toolbar.toolbar_31.Value) + _crlf
   _result += _crlf 
   
next	

_result += '   END TOOLBAR ' + _crlf

   
System.Clipboard := _result
 
msginfo(_result)
 
RETURN
